import request from '@/utils/request'

// 获取组织树形结构
export function getDeptList(params) {
  return request({
    url: '/system/user/deptTree',
    // headers: {
    //   isToken: false
    // },
    method: 'get',
    params: params
    // params: {deptType: "TEAMS"}
  })
}


//查询部门负责人
export function getDeptManager(deptId) {
  return request({
    url: `/system/dept/deptLeader/${deptId}`,
    method: 'get',
  })
}

//获取部门详细信息
export function getDeptDetail(deptId) {
  return request({
    url: `/system/dept/${deptId}`,
    method: 'get',
  })
}
